NAMEI(1)

NOM
namei - Suivre un chemin jusqu'au premier point terminal

SYNOPSIS

namei [options] chemin ...

DESCRIPTION

namei interprète ses paramètres comme des chemins vers n'importe quel type de fichier UNIX (liens symboliques, fichiers, répertoires, etc.). namei suit alors chaque chemin jusqu'à ce qu'un point final soit trouvé (un fichier, un répertoire, un nœud de périphérique, etc.). Si un lien symbolique est trouvé, celui-ci est affiché puis suivi, en indentant la sortie pour montrer le contexte.

Ce programme est utile pour trouver les problèmes liés aux excès de niveaux de liens symboliques.

Pour chaque ligne de sortie, namei utilise les caractères suivants pour identifier le type de fichier trouvé :

       f: = le chemin parcouru
        d = répertoire
        l = lien symbolique (le lien et son contenu sont affichés)
        s = socket
        b = périphérique bloc
        c = périphérique caractère
        p = FIFO (tube nommé)
        - = fichier régulier
        ? = erreur d'un type quelconque

namei affiche un message d'information lorsque le nombre maximal de liens symboliques possibles pour le système a été dépassé.

OPTIONS

-l, --long
    Utiliser le format de résultat long (comme -m -o -v).

-m, --modes
    Afficher les permissions de chaque fichier de manière similaire à ls(1). Par exemple : « rwxr-xr-x ».

-n, --nosymlinks
    Ne pas suivre les liens symboliques.

-o, --owners
    Afficher le propriétaire et le groupe de chaque fichier.

-v, --vertical
    Aligner verticalement les modes et propriétaires.

-x, --mountpoints
    Afficher avec un « D » au lieu d'un « d » les répertoires servant de point de montage.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

BOGUES

À découvrir.

AUTEURS

Le programme original namei a été écrit par

Le programme a été réécrit par Karel Zak

VOIR AUSSI

ls(1), stat(1), symlink(7)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande namei fait partie du paquet util-linux qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.